// LCD commandes HD61830
#define SET_LCD_MODE    0x00
#define SET_CH_PITCH    0x01
#define SET_CHAR_NUM    0x02
#define SET_TIME_DIVS 0x03
#define SET_CURS_POS    0x04
#define SET_HOM_L_ADDR  0x08
#define SET_HOM_H_ADDR  0x09
#define SET_CUR_L_ADDR  0x0a
#define SET_CUR_H_ADDR  0x0b
#define LCD_WR_DATA   0x0c
#define LCD_RD_DATA   0x0d
#define LCD_CLEAR_BIT 0x0e
#define LCD_SET_BIT   0x0f

// include files:
#define FNT68     0       // fnt68.h
#define FNT88     1       // fnt88.h
#define FNT88B    2       // fnt88b.h
#define FNT816    3       // fnt816.h

// LCG mode set bits + always master mode
#define GCURSOR_ON     0x14
#define BLINK       0x18
#define DISP_ON     0x30
#define MODE_GRAPH    0x12


// Mode LCD (interne pour le prog)
#define LCD_TEXT      0x00
#define LCD_GRAPH     0x01


//unsigned char lcd_x, lcd_y, lcd_mode;
unsigned char lcd_mode, lcd_graph_font;

extern void lcd_reset();
extern void lcd_init_text();
extern void lcd_init_graphic();
extern void lcd_busy();
extern void lcd_goto(unsigned char x, unsigned char y);
extern void lcd_byte_burst_prepare();
extern void lcd_byte_burst_plot(unsigned char xyz);
extern void lcd_set_plot(unsigned char x, unsigned char y, unsigned char onOff);
extern void lcd_putdata(unsigned char reg, unsigned char data);
extern void lcd_puts(const char * s, unsigned char x_ref, unsigned char y_ref);
extern void lcd_bitmap_plot(unsigned char x00, unsigned char y00, unsigned char img_widht, unsigned char img_height, const char * image);
extern void lcd_clear(void);
extern void lcd_disp_on_off(unsigned char disp);







/*
void lcd_putchar(unsigned char c);




void lcd_graph_inv(unsigned char x00, unsigned char y00, unsigned char img_widht, unsigned char img_height);
void lcd_line(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2);
void lcd_line_H(unsigned char xref, unsigned char ypas, unsigned char y1, unsigned char y2);
void lcd_line_V(unsigned char yref, unsigned char xpas, unsigned char x1, unsigned char x2);
void lcd_grid(void);
void lcd_rect(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2);
void lcd_circle(unsigned char cx, unsigned char cy, unsigned char radius);

*/
